<?php

/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package superior-carpet
 */

get_header();

$page_id		= get_option('page_on_front'); 
$banner_image	= get_field('banner_image', $page_id);
?>

<!-- Banner Start -->
<section class="main-banner inner-banner back-img" <?php echo $banner_image ? "style='background-image: url(".$banner_image.");'" : ""?>>
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="banner-content white-text">
					<h1 class="h1-title"> <?php the_archive_title(); ?></h1>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- Banner End -->

<div class="inner-page-text">
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
				<div id="primary" class="content-area">
					<main id="main" class="site-main">
						<?php if (have_posts()) : 

							/* Start the Loop */
							while (have_posts()) :
								the_post();
								/*
								* Include the Post-Type-specific template for the content.
								* If you want to override this in a child theme, then include a file
								* called content-___.php (where ___ is the Post Type name) and that will be used instead.
								*/
								get_template_part('template-parts/content', get_post_type());

							endwhile;

						the_posts_pagination();

						else :

							get_template_part('template-parts/content', 'none');

						endif;
						?>
					</main><!-- #main -->
				</div>
			</div>
			<div class="col-lg-4">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();
