<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package superior-carpet
 */

$site_name = get_bloginfo('name');
$current_year = date('Y');

?>
</div><!-- #content -->
<footer id="colophon" class="site-footer">
	<div class="top-footer">
		<div class="container">
			<div class="row">
				<div class="col-lg-3">
					<div class="footer-content text-center">
						<?php
						$footer_logo = get_field('footer_logo', 'option');
						if (!empty($footer_logo)) { ?>
							<div class="footer-logo">
								<a title="<?php echo $site_name; ?>" href="<?php echo home_url(); ?>" class="custom-logo-link"><img width="231" height="122" src="<?php echo $footer_logo; ?>" alt="<?php echo $site_name; ?>"></a>
							</div>
						<?php
						}
						$footer_content = get_field('footer_content', 'option');
						if (!empty($footer_content)) { ?>
							<div class="footer-text white-text">
								<?php echo $footer_content; ?>
							</div>
						<?php
						} ?>
						<div class="contact-link">
							<ul>
								<?php
								$phone_label	= get_field('phone_label', 'option');
								$phone_no 		= get_field('phone_number', 'option');
								if (!empty($phone_label) && !empty($phone_no)) { ?>
									<li>
										<img width="15" height="15" src="<?php echo get_template_directory_uri() ?>/assets/images/call-icon.png" alt="Phone">
										<h4><?php echo $phone_label; ?></h4>
										<a href="<?php echo $phone_no['url']; ?>" title="<?php echo "Call on " . $phone_no['title']; ?>"><span class="callus"><?php echo $phone_no['title']; ?></span></a>
									</li>
								<?php
								}
								$email_label	= get_field('email_label', 'option');
								$email_id		= get_field('email_text', 'option');
								if (!empty($email_label) && !empty($email_id)) { ?>
									<li>
										<img width="15" height="11" src="<?php echo get_template_directory_uri() ?>/assets/images/mail-icon.png" alt="Email">
										<h4><?php echo $email_label; ?></h4>
										<a href="mailto:<?php echo $email_id; ?>" title="<?php echo "Mail on " . $email_id; ?>"><?php echo $email_id; ?></a>
									</li>
								<?php
								} ?>
							</ul>
						</div>
						<?php
						$facebook_link = get_field('facebook_link', 'option');
						if (isset($facebook_link) && !empty($facebook_link)) { ?>
							<div class="social-link">
								<ul>
									<li>
										<a href="<?php echo $facebook_link; ?>" title="Follow on Facebook" target="_blank"><i class="fab fa-facebook-f"></i></a>
									</li>
								</ul>
							</div>
						<?php
						} ?>
					</div>
				</div>
				<div class="col-lg-3">
					<div class="footer-menu">
						<?php
						$navigation_menu_label = get_field('navigation_menu_label', 'option');
						if (isset($navigation_menu_label) && !empty($navigation_menu_label)) { ?>
							<h3 class="footer-title"><?php echo $navigation_menu_label; ?></h3>
						<?php
						}
						wp_nav_menu(array(
							'theme_location' => 'footer-menu',
						)); ?>
					</div>
				</div>
				<?php
				$contact_form_label 	= get_field('footer_form_label', 'option');
				$contact_form_shortcode = get_field('footer_form_shortcode', 'option');
				if (!empty($contact_form_shortcode)) { ?>
					<div class="col-lg-6" id="contact">
						<div class="footer-contact-form">
							<h3 class="footer-title"><?php echo $contact_form_label; ?></h3>
							<div class="contact-form-box">
								<?php echo do_shortcode('[contact-form-7 id="' . $contact_form_shortcode->ID . '" title="' . $contact_form_shortcode->post_title . '"]'); ?>
							</div>
						</div>
					</div>
				<?php
				} ?>
			</div>
		</div>
	</div>
	<div class="bottom-footer">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="copyright">
						<?php
						if (!empty($current_year) && !empty($site_name)) { ?>
							<p>&copy; <?php echo $current_year; ?> <?php echo $site_name; ?></p>
						<?php
						}
						wp_nav_menu(array(
							'theme_location' => 'policies-menu',
						)); ?>
					</div>
					<?php
					$dotcom_design_content = get_field('dotcom_design_content', 'option');
					if (!empty($dotcom_design_content)) { ?>
						<div class="copyright-bottom-link">
							<?php echo $dotcom_design_content; ?>
						</div>
					<?php
					} ?>
				</div>
			</div>
			<?php
			$view_all_services_button	= get_field("view_all_services_button", "option");
			if (is_page_template('template-seo.php') || is_archive() || is_author() || is_category() || is_home() || is_single() || is_tag()) { ?>
				<div class="row">
					<div class="col-lg-12">
						<div class="footer-last">
							<?php
							if (!empty($view_all_services_button)) { ?>
								<span class="text view_services_text" id="view_all_services" title="<?php echo $view_all_services_button; ?>"><?php echo $view_all_services_button; ?></span>
							<?php
							} ?>
							<div class="all-services">
								<?php
								wp_nav_menu(array(
									'theme_location' => 'seo-menu',
								));
								?>
							</div>
						</div>
					</div>
				</div>
			<?php
			} ?>
		</div>
	</div>
</footer><!-- #colophon -->

<?php
$request_a_quote_form_label		= get_field('cta_button_form', 'option');
$request_a_quote_form_shortcode = get_field('cta_form_shortcode', 'option');

if (!empty($request_a_quote_form_label)) { ?>
	<!-- CTA Button -->
	<div class="request-quote">
		<button type="button" data-bs-toggle="modal" data-bs-target="#request_quote" aria-label="<?php echo $request_a_quote_form_label; ?>" class="sec-btn"><?php echo $request_a_quote_form_label; ?></button>
	</div>
	<!-- CTA Button -->
<?php
}
if (!empty($request_a_quote_form_shortcode)) { ?>
	<!-- Modal -->
	<div class="modal common-popup" id="request_quote">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="popup-title">
					<h2 class="h2-title"><?php echo $request_a_quote_form_label; ?></h2>
					<button type="button" class="close close-popup" data-bs-dismiss="modal"></button>
				</div>
				<div class="common-popup-overflow">
					<div class="common-popup-text" data-bs-simplebar>
						<div class="contact-form">
							<?php echo do_shortcode('[contact-form-7 id="' . $request_a_quote_form_shortcode->ID . '" title="' . $request_a_quote_form_shortcode->post_title . '"]'); ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Modal -->
<?php
} ?>

<?php wp_footer(); ?>

</body>

</html>