<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package superior-carpet
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<link rel="preload" href="<?php echo get_template_directory_uri() ?>/assets/fonts/Montserrat-Bold.woff2" as="font" type="font/woff2" crossorigin>
	<link rel="preload" href="<?php echo get_template_directory_uri() ?>/assets/fonts/Montserrat-ExtraBold.woff2" as="font" type="font/woff2" crossorigin>
	<link rel="preload" href="<?php echo get_template_directory_uri() ?>/assets/fonts/Montserrat-Light.woff2" as="font" type="font/woff2" crossorigin>
	<link rel="preload" href="<?php echo get_template_directory_uri() ?>/assets/fonts/Montserrat-Regular.woff2" as="font" type="font/woff2" crossorigin>

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div id="page" class="site">
		<header id="masthead" class="site-header">
			<div class="container">
				<div class="row">
					<div class="col-lg-2">
						<div class="site-branding">
							<?php the_custom_logo(); ?>
						</div><!-- .site-branding -->
					</div>
					<div class="col-lg-10">
						<div class="header-menu">
							<nav id="site-navigation" class="main-navigation">
								<button type="button" class="menu-toggle" aria-label="Hamburger Menu" aria-expanded="false">
									<span></span>
									<span></span>
									<span></span>
								</button>
								<a href="tel:3192507714" title="Call (319) 250-7714" class="header-mob-phone for-mob"><i class="fas fa-phone-alt"></i></a>
								<div class="header-mobile-menu">
									<?php
									wp_nav_menu(array(
										'theme_location' => 'header-menu',
									));
									?>
								</div>
							</nav><!-- #site-navigation -->
						</div>
					</div>
				</div>
			</div>
		</header><!-- #masthead -->