<?php

/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package superior-carpet
 */

get_header();

$page_id		= get_option('page_on_front'); 
$banner_image	= get_field('banner_image', $page_id);
?>

<!-- Banner Start -->
<section class="main-banner inner-banner back-img" <?php echo $banner_image ? "style='background-image: url(".$banner_image.");'" : ""?>>
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="banner-content white-text">
					<h1 class="h1-title"> <?php the_title(); ?></h1>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- Banner End -->

<div class="inner-page-text">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
			<main id="primary" class="site-main">
					<?php
					while ( have_posts() ) :
						the_post();

						get_template_part( 'template-parts/content', 'page' );

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;

					endwhile; // End of the loop.
					?>
				</main><!-- #main -->
			</div>
		</div>
	</div>
</div>
<?php
get_footer();
