<?php

/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package superior-carpet
 */

get_header();

$page_id		= get_option('page_on_front'); 
$banner_image	= get_field('banner_image', $page_id);
?>

<!-- Banner Start -->
<section class="main-banner inner-banner back-img" <?php echo $banner_image ? "style='background-image: url(".$banner_image.");'" : ""?>>
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="banner-content white-text">
					<h1 class="h1-title"> <?php single_post_title(); ?></h1>
				</div>
			</div>
		</div>
	</div>
</section>

<!-- Banner End -->
<div class="inner-page-text">
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
				<div id="primary" class="content-area">
					<main id="main" class="site-main">
						<?php
						while (have_posts()) :
							the_post();

							get_template_part('template-parts/content', get_post_type());

							// If comments are open or we have at least one comment, load up the comment template.
							if (comments_open() || get_comments_number()) :
								comments_template();
							endif;

						endwhile; // End of the loop.
						?>
					</main><!-- #main -->
				</div><!-- #primary -->
			</div>
			<div class="col-lg-4">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();
