<?php
//Banner Section
$about_banner_img	= get_field('about_banner_image');
$about_banner_title	= get_field('about_banner_title');
if (!empty($about_banner_img) || !empty($about_banner_title)) { ?>
	<section class="about-page-banner main-banner inner-banner back-img" <?php echo (!empty($about_banner_img)) ? 'style="background-image:url(' . $about_banner_img . ')"' : ''; ?>>
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="banner-content white-text">
						<?php
						if (!empty($about_banner_title)) { ?>
							<h1 class="h1-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php echo $about_banner_title; ?> </h1>
						<?php
						} ?>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php
}
//About Section
$about_info_title	= get_field('about_info_title');
$about_info_content	= get_field('about_info_content');
$about_info_image	= get_field('about_info_image');
if (!empty($about_info_title) || !empty($about_info_content) || !empty($about_info_image)) { ?>
	<section class="main-about-us">
		<div class="container">
			<div class="row">
				<div class="col-lg-6 offset-lg-1">
					<div class="about-content wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
						<?php
						if (!empty($about_info_title)) { ?>
							<h2 class="h2-title"><?php echo $about_info_title; ?></h2>
						<?php
						}
						if (!empty($about_info_content)) { ?>
							<div class="about-content-text" data-simplebar="init">
								<?php echo $about_info_content; ?>
							</div>
						<?php
						} ?>
					</div>
				</div>
				<?php
				if (!empty($about_info_image)) { ?>
					<div class="col-lg-5 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
						<div class="about-img-wp">
							<div class="about-us-img back-img" style="background-image:url(<?php echo $about_info_image; ?>)"></div>
						</div>
					</div>
				<?php
				} ?>
			</div>
		</div>
	</section>
<?php
}
//Process section  
get_template_part('template-parts/content', 'our-process');

//Team Members Section
$args						= array("post_type" => "team-members", "post_status" => "publish", "posts_per_page" => -1);
$testimonial_query			= new WP_Query($args);
$about_team_members_title	= get_field("about_team_members_title");
if ($testimonial_query->have_posts()) { ?>
	<section class="our-team-section">
		<div class="container">
			<?php
			if (!empty($about_team_members_title)) { ?>
				<div class="row">
					<div class="col-lg-12">
						<div class="our-process-title text-center team-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
							<span class="sub-title"><?php echo $about_team_members_title; ?></span>
							<h2 class="h2-title"><?php echo $about_team_members_title; ?></h2>
						</div>
					</div>
				</div>
			<?php
			} ?>
			<div class="row">
				<div class="col-lg-12">
					<div class="team-wp">
						<?php
						while ($testimonial_query->have_posts()) {
							$testimonial_query->the_post();
							$member_img			= get_the_post_thumbnail_url();
							$member_designation = get_field('team_member_designation'); ?>
							<div class="team-box text-center wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
								<?php
								if (!empty($member_img)) { ?>
									<div class="team-profile back-img" style="background-image:url(<?php echo $member_img; ?>)"></div>
								<?php
								} ?>
								<div class="team-details">
									<div class="profile-title">
										<h4 class="person-name"><?php the_title(); ?></h4>
										<?php
										if (!empty($member_designation)) { ?>
											<span class="designation"><?php echo $member_designation; ?></span>
										<?php
										} ?>
									</div>
								</div>
							</div>
						<?php
						} ?>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php
}
wp_reset_postdata(); ?>