<?php
$home_banner_image		= get_field('home_banner_image');
$home_banner_title 		= get_field('home_banner_title');
$home_banner_sub_title 	= get_field('home_banner_sub_title');
$phone 					= get_field('phone_number', 'option');
$phone_button_label 	= get_field('phone_number_label');
$request_form_label 	= get_field('cta_button_label', 'option');

if (!empty($home_banner_image) || !empty($home_banner_title) || !empty($home_banner_sub_title) || !empty($phone) || !empty($phone_button_label) || !empty($request_form_label)) { ?>
	<!-- Banner Start -->
	<section class="main-banner back-img" <?php echo !empty($home_banner_image) ? 'style="background-image:url(' . $home_banner_image . ')"' : ''; ?>>
		<div class="container">
			<div class="row">
				<div class="col-xl-10 col-lg-12">
					<div class="banner-content white-text">
						<?php
						if (!empty($home_banner_title)) { ?>
							<h1 class="h1-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php echo $home_banner_title; ?></h1>
						<?php
						}
						if (!empty($home_banner_sub_title)) { ?>
							<div class="banner-text wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
								<p><?php echo $home_banner_sub_title; ?></p>
							</div>
						<?php
						} ?>
						<div class="banner-btn">
							<?php
							if (!empty($request_form_label)) { ?>
								<button type="button" data-bs-toggle="modal" data-bs-target="#request_quote" aria-label="<?php echo $request_form_label; ?>" class="sec-btn outline-btn lg-btn wow button-animation" data-wow-duration="0.8s" data-wow-delay="0.4s"><span><?php echo $request_form_label; ?></span></button>
							<?php
							}
							if (!empty($phone) && !empty($phone_button_label)) { ?>
								<a href="<?php echo $phone['url']; ?>" title="<?php echo  $phone_button_label . ' on ' . $phone['title']; ?>" class="sec-btn lg-btn wow button-animation" data-wow-duration="0.8s" data-wow-delay="0.4s"><span><?php echo $phone_button_label; ?></span><span class="callus"><?php echo $phone['title']; ?></span></a>
							<?php
							} ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- Banner End -->
<?php
} ?>

<?php
$home_banner_form_shortcode = get_field('home_banner_form_shortcode');
if (!empty($home_banner_form_shortcode)) { ?>
	<!-- Contact Form Start-->
	<div class="main-contact">
		<div class="container">
			<div class="row">
				<div class="col-lg-12 wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.5s">
					<div class="contact-form">
						<?php echo do_shortcode('[contact-form-7 id="' . $home_banner_form_shortcode->ID . '" title="' . $home_banner_form_shortcode->post_title . '"]'); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Contact Form End-->
<?php
}

$home_about_title 			= get_field('home_about_title');
$home_about_content 		= get_field('home_about_content');
$home_about_image 			= get_field('home_about_image');
$home_about_page_link		= get_field('home_about_page_link');
$home_about_button_label	= get_field('home_about_button_label');

if (!empty($home_about_title) || !empty($home_about_content) || !empty($home_about_image) || !empty($home_about_page_link) || !empty($home_about_button_label)) { ?>
	<!-- About us Start -->
	<section class="about-sec">
		<div class="container">
			<div class="row" id="about-us">
				<div class="col-lg-6 offset-lg-1">
					<div class="about-content wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
						<?php
						if (!empty($home_about_title)) { ?>
							<span class="sub-title"><?php echo $home_about_title; ?></span>
							<h2 class="h2-title"><?php echo $home_about_title; ?></h2>
						<?php
						}
						if (!empty($home_about_content)) { ?>
							<div class="about-content-text">
								<?php echo $home_about_content; ?>
							</div>
						<?php
						}
						if (!empty($home_about_page_link) && !empty($home_about_button_label)) { ?>
							<a href="<?php echo $home_about_page_link; ?>" class="sec-btn outline-btn" title="<?php echo $home_about_button_label . ', ' . $home_about_title; ?>">
								<span><?php echo $home_about_button_label; ?></span>
							</a>
						<?php
						} ?>
					</div>
				</div>
				<?php
				if (!empty($home_about_image)) { ?>
					<div class="col-lg-5 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
						<div class="about-img-wp">
							<div class="about-us-img back-img" style="background-image: url(<?php echo $home_about_image; ?>);"></div>
						</div>
					</div>
				<?php } ?>
			</div>
		</div>
	</section>
	<!-- About us End -->
<?php
}

if (have_rows('home_services_listing')) { ?>
	<!--Our Services Start -->
	<section class="main-service" id="services">
		<?php while (have_rows('home_services_listing')) {
			the_row();

			$service_title			= get_sub_field('home_services_listing_title');
			$service_content		= get_sub_field('home_services_listing_content');
			$service_image			= get_sub_field('home_services_listing_image');
			$service_page_link		= get_sub_field('home_services_listing_page_link');
			$service_button_label	= get_sub_field('home_services_listing_button_label');

			if (get_row_index() % 2 != 0) { 	?>
				<div class="service-section odd-service-sec">
					<div class="container">
						<div class="row">
							<?php if (!empty($service_image)) { ?>
								<div class="col-xl-5 col-lg-4 wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
									<div class="service-img-wp">
										<div class="service-img back-img" style="background-image: url(<?php echo $service_image; ?>);"></div>
									</div>
								</div>
							<?php
							} ?>
							<div class="col-xl-7 col-lg-8 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
								<div class="service-box-wp">
									<div class="service-box">
										<div class="service-content white-text">
											<?php
											if (!empty($service_title)) { ?>
												<h2 class="h2-title"><?php echo $service_title; ?></h2>
											<?php
											}
											if (!empty($service_content)) { ?>
												<div class="service-content-text">
													<?php echo $service_content; ?>
												</div>
											<?php
											}
											if (!empty($service_page_link) && !empty($service_button_label)) { ?>
												<a href="<?php echo $service_page_link; ?>" class="sec-btn outline-btn" title="<?php echo  $service_button_label . ', ' . strip_tags($service_title); ?>"><span><?php echo $service_button_label; ?></span></a>
											<?php
											} ?>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			<?php
			} else { ?>
				<div class="service-section even-service-sec">
					<div class="container">
						<div class="row">
							<div class="col-xl-7 col-lg-8 order-lg-1 order-2">
								<div class="service-box-wp wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
									<div class="service-box">
										<div class="service-content white-text">
											<?php
											if (!empty($service_title)) { ?>
												<h2 class="h2-title"><?php echo $service_title; ?></h2>
											<?php
											}
											if (!empty($service_content)) {  ?>
												<div class="service-content-text">
													<?php echo $service_content; ?>
												</div>
											<?php
											}
											if (!empty($service_page_link) && !empty($service_button_label)) {  ?>
												<a href="<?php echo $service_page_link; ?>" class="sec-btn outline-btn" title="<?php echo  $service_button_label . ', ' . strip_tags($service_title); ?>"><span><?php echo $service_button_label; ?></span></a>
											<?php
											} ?>
										</div>
									</div>
								</div>
							</div>
							<?php
							if (!empty($service_image)) { ?>
								<div class="col-xl-5 col-lg-4 order-lg-2 order-1 wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
									<div class="service-img-wp">
										<div class="service-img back-img" style="background-image: url(<?php echo $service_image; ?>);"></div>
									</div>
								</div>
							<?php
							} ?>
						</div>
					</div>
				</div>
		<?php }
		} ?>
	</section>
	<!--Our Services End -->
<?php
} ?>

<?php
get_template_part('template-parts/content', 'our-process');
?>

<?php
if (have_rows('condition_section')) {

	while (have_rows('condition_section')) {
		the_row();

		if (get_row_layout() == 'gallery_section') {

			$gallery_image = get_sub_field('gallery_image');
			if (!empty($gallery_image)) { ?>
				<!-- Gallery Start -->
				<div class="main-gallery">
					<div class="container">
						<div class="row">
							<div class="col-lg-12 gallery-slider wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
								<?php
								foreach ($gallery_image as $key => $image) { ?>
									<div class="gallery-slider-box back-img" style="background-image: url(<?php echo $image['url'] ?>);"></div>
								<?php
								} ?>
							</div>
						</div>
						<div class="row justify-content-center wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
							<div class="col-lg-10">
								<div class="slider-nav gallery-thumb-slider">
									<?php
									foreach ($gallery_image as $key => $image) { ?>
										<div class="gallery-thumb-box back-img" style="background-image: url(<?php echo $image['url']; ?>);"></div>
									<?php
									} ?>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- Gallery End -->
			<?php
			}
		} elseif (get_row_layout() == 'faq_section') {

			$faq_main_title = get_sub_field('faqs_main_title');

			if (!empty($faq_main_title) || have_rows('faq_content')) { ?>
				<!-- Faq Section Start -->
				<section class="faq-section">
					<div class="container">
						<?php
						if (!empty($faq_main_title)) { ?>
							<div class="row">
								<div class="col-lg-12 text-center">
									<div class="faq-section-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
										<span class="sub-title"><?php echo $faq_main_title; ?></span>
										<h2 class="h2-title">
											<?php echo $faq_main_title; ?>
										</h2>
									</div>
								</div>
							</div>
						<?php
						}
						if (have_rows('faq_content')) { ?>
							<div class="row">
								<div class="col-lg-12">
									<div class="accordion">
										<?php
										while (have_rows('faq_content')) {
											the_row();

											$faq_question	= get_sub_field('question');
											$faq_answer		= get_sub_field('answer');

										?>
											<div class="faq-box wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
												<?php
												if (!empty($faq_question)) { ?>
													<h3><?php echo $faq_question; ?>
														<span class="faq-arrow">
															<svg xmlns="http://www.w3.org/2000/svg" width="14.025" height="7.004" viewBox="0 0 14.025 7.004">
																<path d="M12,16a1,1,0,0,1-.64-.23l-6-5A1,1,0,0,1,6.64,9.23L12,13.71l5.36-4.32A1.025,1.025,0,1,1,18.63,11l-6,4.83A1,1,0,0,1,12,16Z" transform="translate(-4.999 -8.999)" fill="var(--primary-color)"></path>
															</svg>
														</span>
													</h3>
												<?php
												}
												if (!empty($faq_answer)) { ?>
													<div class="row">
														<div class="col-lg-12">
															<div class="faq-content">
																<div class="faq-text">
																	<?php echo $faq_answer; ?>
																</div>
															</div>
														</div>
													</div>
												<?php
												} ?>
											</div>
										<?php
										}
										?>
									</div>
								</div>
							</div>
						<?php
						} ?>
					</div>
				</section>
				<!-- Faq Section End -->
			<?php
			}
		} elseif (get_row_layout() == 'review_section') {

			$args					= array('orderby' => 'title', 'post_type' => 'reviews', 'post_status' => 'publish',  'posts_per_page' => -1);
			$the_query				= new WP_Query($args);
			$review_main_title		= get_sub_field('reviews_main_title');
			$review_background_logo = get_sub_field('reviews_background_logo');

			if ($the_query->have_posts()) { ?>
				<!-- Review Start -->
				<section class="review-sec" id="review">
					<?php
					if (!empty($review_background_logo)) { ?>
						<img width="688" height="365" src="<?php echo $review_background_logo; ?>" alt="<?php echo $review_main_title; ?> Review Logo" class="img">
					<?php
					} ?>
					<div class="container">
						<div class="row justify-content-center">
							<div class="col-xl-8 col-lg-10">
								<div class="review-content">
									<?php
									if (!empty($review_main_title)) { ?>
										<div class="wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
											<span class="sub-title"><?php echo $review_main_title; ?></span>
											<h2 class="h2-title">
												<?php echo $review_main_title; ?>
											</h2>
										</div>
									<?php
									} ?>
									<div class="review-slider wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
										<?php
										if ($the_query->have_posts()) {
											while ($the_query->have_posts()) {
												$the_query->the_post(); ?>
												<div class="review-box">
													<div class="review-text" data-simplebar="init">
														<?php the_content(); ?>
													</div>
													<span class="review-by">
														<?php the_title(); ?>
													</span>
												</div>
										<?php
											}
										} ?>
									</div>
								</div>
							</div>
						</div>
					</div>
				</section>
				<!-- Review End -->
<?php
			}
			wp_reset_postdata();
		}
	}
} ?>