<?php  
$front_page_id			= get_option('page_on_front');
$home_banner_image		= get_field('home_banner_image', $front_page_id); 
$home_banner_title		= get_field('home_banner_title', $front_page_id);
$home_sub_title			= get_field('home_banner_sub_title', $front_page_id);
$phone					= get_field('phone_number','option');
$phone_button_label		= get_field('phone_number_label', $front_page_id);
$request_form_label		= get_field('request_button_text', $front_page_id);
$contact_form_label		= get_field('footer_form_label', 'option');
$contact_form_shortcode = get_field('footer_form_shortcode', 'option');
if(!empty($home_banner_image) || !empty($home_banner_title) || !empty($home_sub_title) || !empty($phone) || !empty($phone_button_label) || !empty($request_form_label) || !empty($contact_form_shortcode) || !empty($contact_form_label)){?>
	<!-- Banner Start -->
	<section class="main-banner inner-banner seo-banner back-img" <?php echo !empty($home_banner_image) ? 'style="background-image:url(' . $home_banner_image . ')"' : ''; ?>>
		<div class="container">
			<div class="row">
				<div class="col-lg-10">
					<div class="banner-content white-text">
						<?php
						if(!empty($home_banner_title)) { ?>
							<h2 class="h1-title"><?php echo $home_banner_title; ?></h2>
							<?php
						} 
						if(!empty($home_sub_title)) { ?>
							<div class="banner-text">
								<p><?php echo $home_sub_title; ?></p>
							</div>
							<?php
						}?>
						<div class="banner-btn">
							<?php 
							if(!empty($request_form_label)) { ?>	
									<button type="button" data-bs-toggle="modal" data-bs-target="#request_quote" aria-label="<?php echo $request_form_label; ?>" class="sec-btn outline-btn lg-btn"><span><?php echo $request_form_label; ?></span></button>
								<?php
							} 
							if(!empty($phone) && !empty($phone_button_label)) { ?>
								<a href="<?php echo $phone['url']; ?>" title="<?php echo  $phone_button_label . ' on ' . $phone['title']; ?>" class="sec-btn lg-btn"><span><?php echo $phone_button_label; ?></span><span class="callus"><?php echo $phone['title']; ?></span></a>
								<?php
							} ?>
						</div>
					</div>
				</div> 
				<?php
				if(!empty($contact_form_shortcode)) { ?>
					<div class="col-lg-9 m-auto">
						<div class="seo-contact-form">
							<h3 class="h3-title"><?php echo $contact_form_label; ?></h3>
							<div class="contact-form">
								<?php echo do_shortcode('[contact-form-7 id="' . $contact_form_shortcode->ID . '" title="' . $contact_form_shortcode->post_title . '"]'); ?>
							</div>
						</div>
					</div>
					<?php
				} ?>
			</div>
		</div>
	</section>
	<!-- Banner End -->
	<?php
} ?>

<!-- SEO Content Start -->
<section class="main-seo-content">
	<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="sec-title">
						<h1 class="h2-title"><?php the_title(); ?></h1>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-12">
					<div class="excerpt-content">
						<?php the_content(); ?>
					</div>
					<div class="submit-btn">
						<button type="button" id="read-more" class="sec-btn" aria-label="<?php echo "Read more, ".get_the_title(); ?>">Read More</button>
					</div>
				</div>
			</div>
		</div>
</section>
<!-- SEO Content End -->